Skip to main content
GET
/
v1
/
companies
List companies
curl --request GET \
  --url https://api-v1.maverickintelligence.co/v1/companies \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "domain": "<string>",
      "standardizedIndustry": "<string>",
      "location": "<string>",
      "region": "<string>",
      "linkedinUrl": "<string>",
      "employeeCount": 123,
      "visitCount": 123,
      "firstSeen": "2023-11-07T05:31:56Z",
      "lastSeen": "2023-11-07T05:31:56Z",
      "isHotCompany": true,
      "trafficType": "<string>",
      "adPlatform": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "count": 123,
    "nextCursor": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key in format: mk_live_{40 hex chars}

Query Parameters

limit
integer
default:50

Number of records per page

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from the previous response's nextCursor

since
string<date-time>

Only return records with lastSeen after this ISO 8601 date

Response

200 - application/json

List of companies

data
object[]
pagination
object